!!ARBvp1.0

# Constant Parameters
PARAM mvp[4]	= { state.matrix.mvp }; 	# modelview projection matrix

# Per-vertex inputs
ATTRIB inPosition = vertex.position;

# Per-vertex outputs
OUTPUT outPosition = result.position;

# transform
DP4 outPosition.x, mvp[0], inPosition;   # Transform the x component of the per-vertex position into clip-space
DP4 outPosition.y, mvp[1], inPosition;   # Transform the y component of the per-vertex position into clip-space
DP4 outPosition.z, mvp[2], inPosition;   # Transform the z component of the per-vertex position into clip-space
DP4 outPosition.w, mvp[3], inPosition;   # Transform the w component of the per-vertex position into clip-space


END
