!!ARBvp1.0

# Constant Parameters
PARAM mvp[4]	= { state.matrix.mvp }; 	# modelview projection matrix

# Per-vertex inputs
ATTRIB inPosition = vertex.position;
ATTRIB inTex0	= vertex.texcoord[0];

# Per-vertex outputs
OUTPUT outPosition = result.position;
OUTPUT outTex0	 = result.texcoord[0];

# transform
DP4 outPosition.x, mvp[0], inPosition;   # Transform the x component of the per-vertex position into clip-space
DP4 outPosition.y, mvp[1], inPosition;   # Transform the y component of the per-vertex position into clip-space
DP4 outPosition.z, mvp[2], inPosition;   # Transform the z component of the per-vertex position into clip-space
DP4 outPosition.w, mvp[3], inPosition;   # Transform the w component of the per-vertex position into clip-space

MOV outTex0, inTex0;

END
